Package io.dapr.v1

# Class DaprProtos.EncryptRequestOptions.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>
io.dapr.v1.DaprProtos.EncryptRequestOptions.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.EncryptRequestOptionsOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.EncryptRequestOptions

public static final class DaprProtos.EncryptRequestOptions.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder> implements DaprProtos.EncryptRequestOptionsOrBuilder

     EncryptRequestOptions contains options for the first message in the EncryptAlpha1 request.

Protobuf type `dapr.proto.runtime.v1.EncryptRequestOptions`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.EncryptRequestOptions.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.EncryptRequestOptions`
`build()`
`DaprProtos.EncryptRequestOptions`
`buildPartial()`
`DaprProtos.EncryptRequestOptions.Builder`
`clear()`
`DaprProtos.EncryptRequestOptions.Builder`
`clearComponentName()`
Name of the component.
`DaprProtos.EncryptRequestOptions.Builder`
`clearDataEncryptionCipher()`
Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`DaprProtos.EncryptRequestOptions.Builder`
`clearDecryptionKeyName()`
Key reference to embed in the encrypted document (name or name/version).
`DaprProtos.EncryptRequestOptions.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.EncryptRequestOptions.Builder`
`clearKeyName()`
Name (or name/version) of the key.
`DaprProtos.EncryptRequestOptions.Builder`
`clearKeyWrapAlgorithm()`
Key wrapping algorithm to use.
`DaprProtos.EncryptRequestOptions.Builder`
`clearOmitDecryptionKeyName()`
If true, the encrypted document does not contain a key reference.
`DaprProtos.EncryptRequestOptions.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.EncryptRequestOptions.Builder`
`clone()`
`String`
`getComponentName()`
Name of the component.
`com.google.protobuf.ByteString`
`getComponentNameBytes()`
Name of the component.
`String`
`getDataEncryptionCipher()`
Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`com.google.protobuf.ByteString`
`getDataEncryptionCipherBytes()`
Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`String`
`getDecryptionKeyName()`
Key reference to embed in the encrypted document (name or name/version).
`com.google.protobuf.ByteString`
`getDecryptionKeyNameBytes()`
Key reference to embed in the encrypted document (name or name/version).
`DaprProtos.EncryptRequestOptions`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getKeyName()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getKeyNameBytes()`
Name (or name/version) of the key.
`String`
`getKeyWrapAlgorithm()`
Key wrapping algorithm to use.
`com.google.protobuf.ByteString`
`getKeyWrapAlgorithmBytes()`
Key wrapping algorithm to use.
`boolean`
`getOmitDecryptionKeyName()`
If true, the encrypted document does not contain a key reference.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.EncryptRequestOptions.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.EncryptRequestOptions.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.EncryptRequestOptions.Builder`
`mergeFrom(DaprProtos.EncryptRequestOptions other)`
`final DaprProtos.EncryptRequestOptions.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.EncryptRequestOptions.Builder`
`setComponentName(String value)`
Name of the component.
`DaprProtos.EncryptRequestOptions.Builder`
`setComponentNameBytes(com.google.protobuf.ByteString value)`
Name of the component.
`DaprProtos.EncryptRequestOptions.Builder`
`setDataEncryptionCipher(String value)`
Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`DaprProtos.EncryptRequestOptions.Builder`
`setDataEncryptionCipherBytes(com.google.protobuf.ByteString value)`
Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`DaprProtos.EncryptRequestOptions.Builder`
`setDecryptionKeyName(String value)`
Key reference to embed in the encrypted document (name or name/version).
`DaprProtos.EncryptRequestOptions.Builder`
`setDecryptionKeyNameBytes(com.google.protobuf.ByteString value)`
Key reference to embed in the encrypted document (name or name/version).
`DaprProtos.EncryptRequestOptions.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.EncryptRequestOptions.Builder`
`setKeyName(String value)`
Name (or name/version) of the key.
`DaprProtos.EncryptRequestOptions.Builder`
`setKeyNameBytes(com.google.protobuf.ByteString value)`
Name (or name/version) of the key.
`DaprProtos.EncryptRequestOptions.Builder`
`setKeyWrapAlgorithm(String value)`
Key wrapping algorithm to use.
`DaprProtos.EncryptRequestOptions.Builder`
`setKeyWrapAlgorithmBytes(com.google.protobuf.ByteString value)`
Key wrapping algorithm to use.
`DaprProtos.EncryptRequestOptions.Builder`
`setOmitDecryptionKeyName(boolean value)`
If true, the encrypted document does not contain a key reference.
`DaprProtos.EncryptRequestOptions.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprProtos.EncryptRequestOptions.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### clear

public DaprProtos.EncryptRequestOptions.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### getDefaultInstanceForType

public DaprProtos.EncryptRequestOptions getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.EncryptRequestOptions build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.EncryptRequestOptions buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.EncryptRequestOptions.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### setField

public DaprProtos.EncryptRequestOptions.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### clearField

public DaprProtos.EncryptRequestOptions.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### clearOneof

public DaprProtos.EncryptRequestOptions.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### setRepeatedField

public DaprProtos.EncryptRequestOptions.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### addRepeatedField

public DaprProtos.EncryptRequestOptions.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### mergeFrom

public DaprProtos.EncryptRequestOptions.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### mergeFrom

public DaprProtos.EncryptRequestOptions.Builder mergeFrom(DaprProtos.EncryptRequestOptions other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### mergeFrom

public DaprProtos.EncryptRequestOptions.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.EncryptRequestOptions.Builder>`
Throws:
  `IOException`

### getComponentName

public String getComponentName()

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentName` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The componentName.

### getComponentNameBytes

public com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentNameBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for componentName.

### setComponentName

public DaprProtos.EncryptRequestOptions.Builder setComponentName(String value)

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The componentName to set.
Returns:
  This builder for chaining.

### clearComponentName

public DaprProtos.EncryptRequestOptions.Builder clearComponentName()

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Returns:
  This builder for chaining.

### setComponentNameBytes

public DaprProtos.EncryptRequestOptions.Builder setComponentNameBytes(com.google.protobuf.ByteString value)

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The bytes for componentName to set.
Returns:
  This builder for chaining.

### getKeyName

public String getKeyName()

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Specified by:
  `getKeyName` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The keyName.

### getKeyNameBytes

public com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Specified by:
  `getKeyNameBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for keyName.

### setKeyName

public DaprProtos.EncryptRequestOptions.Builder setKeyName(String value)

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Parameters:
  `value` - The keyName to set.
Returns:
  This builder for chaining.

### clearKeyName

public DaprProtos.EncryptRequestOptions.Builder clearKeyName()

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Returns:
  This builder for chaining.

### setKeyNameBytes

public DaprProtos.EncryptRequestOptions.Builder setKeyNameBytes(com.google.protobuf.ByteString value)

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Parameters:
  `value` - The bytes for keyName to set.
Returns:
  This builder for chaining.

### getKeyWrapAlgorithm

public String getKeyWrapAlgorithm()

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Specified by:
  `getKeyWrapAlgorithm` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The keyWrapAlgorithm.

### getKeyWrapAlgorithmBytes

public com.google.protobuf.ByteString getKeyWrapAlgorithmBytes()

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Specified by:
  `getKeyWrapAlgorithmBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for keyWrapAlgorithm.

### setKeyWrapAlgorithm

public DaprProtos.EncryptRequestOptions.Builder setKeyWrapAlgorithm(String value)

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Parameters:
  `value` - The keyWrapAlgorithm to set.
Returns:
  This builder for chaining.

### clearKeyWrapAlgorithm

public DaprProtos.EncryptRequestOptions.Builder clearKeyWrapAlgorithm()

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Returns:
  This builder for chaining.

### setKeyWrapAlgorithmBytes

public DaprProtos.EncryptRequestOptions.Builder setKeyWrapAlgorithmBytes(com.google.protobuf.ByteString value)

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Parameters:
  `value` - The bytes for keyWrapAlgorithm to set.
Returns:
  This builder for chaining.

### getDataEncryptionCipher

public String getDataEncryptionCipher()

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Specified by:
  `getDataEncryptionCipher` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The dataEncryptionCipher.

### getDataEncryptionCipherBytes

public com.google.protobuf.ByteString getDataEncryptionCipherBytes()

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Specified by:
  `getDataEncryptionCipherBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for dataEncryptionCipher.

### setDataEncryptionCipher

public DaprProtos.EncryptRequestOptions.Builder setDataEncryptionCipher(String value)

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Parameters:
  `value` - The dataEncryptionCipher to set.
Returns:
  This builder for chaining.

### clearDataEncryptionCipher

public DaprProtos.EncryptRequestOptions.Builder clearDataEncryptionCipher()

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Returns:
  This builder for chaining.

### setDataEncryptionCipherBytes

public DaprProtos.EncryptRequestOptions.Builder setDataEncryptionCipherBytes(com.google.protobuf.ByteString value)

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Parameters:
  `value` - The bytes for dataEncryptionCipher to set.
Returns:
  This builder for chaining.

### getOmitDecryptionKeyName

public boolean getOmitDecryptionKeyName()

     If true, the encrypted document does not contain a key reference.
     In that case, calls to the Decrypt method must provide a key reference (name or name/version).
     Defaults to false.

`bool omit_decryption_key_name = 11 [json_name = "omitDecryptionKeyName"];`

Specified by:
  `getOmitDecryptionKeyName` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The omitDecryptionKeyName.

### setOmitDecryptionKeyName

public DaprProtos.EncryptRequestOptions.Builder setOmitDecryptionKeyName(boolean value)

     If true, the encrypted document does not contain a key reference.
     In that case, calls to the Decrypt method must provide a key reference (name or name/version).
     Defaults to false.

`bool omit_decryption_key_name = 11 [json_name = "omitDecryptionKeyName"];`

Parameters:
  `value` - The omitDecryptionKeyName to set.
Returns:
  This builder for chaining.

### clearOmitDecryptionKeyName

public DaprProtos.EncryptRequestOptions.Builder clearOmitDecryptionKeyName()

     If true, the encrypted document does not contain a key reference.
     In that case, calls to the Decrypt method must provide a key reference (name or name/version).
     Defaults to false.

`bool omit_decryption_key_name = 11 [json_name = "omitDecryptionKeyName"];`

Returns:
  This builder for chaining.

### getDecryptionKeyName

public String getDecryptionKeyName()

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Specified by:
  `getDecryptionKeyName` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The decryptionKeyName.

### getDecryptionKeyNameBytes

public com.google.protobuf.ByteString getDecryptionKeyNameBytes()

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Specified by:
  `getDecryptionKeyNameBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for decryptionKeyName.

### setDecryptionKeyName

public DaprProtos.EncryptRequestOptions.Builder setDecryptionKeyName(String value)

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Parameters:
  `value` - The decryptionKeyName to set.
Returns:
  This builder for chaining.

### clearDecryptionKeyName

public DaprProtos.EncryptRequestOptions.Builder clearDecryptionKeyName()

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Returns:
  This builder for chaining.

### setDecryptionKeyNameBytes

public DaprProtos.EncryptRequestOptions.Builder setDecryptionKeyNameBytes(com.google.protobuf.ByteString value)

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Parameters:
  `value` - The bytes for decryptionKeyName to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.EncryptRequestOptions.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`

### mergeUnknownFields

public final DaprProtos.EncryptRequestOptions.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.EncryptRequestOptions.Builder>`